; ***************************************************
;
;   MDDATTE.LSP     (c) 1991 CADD Creations
;   Author: Stephen A. Russ
;
;    Function 	Description
;    -------- 	-----------------------------
;    C:MDDATTE 	Multiple DDATTE editing with single selection set
;
;
;****************************************************
(defun C:MDDATTE (/ BM HL EN IN SS1)
       (setq BM (getvar "BLIPMODE"))
       (setq HL (getvar "HIGHLIGHT"))
       (setvar "BLIPMODE" 0)
       (setvar "HIGHLIGHT" 1)
  (prompt "\Select Blocks for Attribute Editing...")
  (setq SS1  (ssget) IN 0)
  (while (setq EN (ssname SS1 IN))
    (redraw EN 3)
    (command "DDATTE" EN)
    (redraw EN 4)
    (setq IN (1+ IN))
  )
    (setvar "BLIPMODE" BM)
    (setvar "HIGHLIGHT" HL)
  (princ)
)
