; ***************************************************
;
;   MMIRROR.LSP     (c) 1992 CADD Creations
;   Author: Stephen A. Russ
;
;    Function 	Description
;    -------- 	-----------------------------
;    C:MMIRROR 	Mirrors selected set of objects about respective insertion points.
;
;
;****************************************************
(defun C:MMIRROR (/ BM HL S L ANG COUNT A AA PT1 PT2)
       (setq BM (getvar "blipmode"))
       (setq HL (getvar "highlight"))
       (setvar "blipmode" 0)
       (setvar "highlight" 1)
 (setq s (ssget))
 (setq l (sslength s))
;;;The following line is for users of GTExpress AutoClic or Flexicon30
;(command "flexicon" "flexrot")
   (setq ang (getorient "Enter relative mirror plane [numeric or <pick> to show angle]:  "))(princ)
   (setq count 0)
  (while (< count l)
     (setq a (entget (ssname s count)))
     (setq aa  (ssname s count))
     (setq pt1 (cdr (assoc 10 a)))     
     (setq pt2 (polar pt1 ang 1))(princ)
        (command "mirror"  aa "" pt1 pt2 "Y")
     (setq count (1+ count)))
  (setvar "blipmode" BM)
  (setvar "highlight" HL)
(command "redraw")
  (setq pr "\nMulti-Mirror:  CADD Creations, 1992")
  (prompt pr)
  (princ)
)
